Contents

API reference

Support

API reference descriptions are provided in English to preserve the exact published contract.

List delegated support-access grants

GET /v1/accounts/{AC}/support-access

Required scope: any one of `support_access:grant`, `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
statequery · "active" | "history" | "all"
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Create single-use customer consent for delegated support access

POST /v1/accounts/{AC}/support-access/consents

Required scope: `support_access:grant`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (3 fields)
Request body
NameTypeRequiredDescription
caseRefstring (max 128 chars)yes
scopesstring (max 64 chars)[]yes
stepUpTokenstring (max 256 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Quarterly delegated-access review

GET /v1/accounts/{AC}/support-access/review

Required scope: `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Get a delegated support-access grant

GET /v1/accounts/{AC}/support-access/{grantId}

Required scope: any one of `support_access:grant`, `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
grantIdpath · string (uuid)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

End delegated support access

POST /v1/accounts/{AC}/support-access/{grantId}/end

Required scope: any one of `support_access:grant`, `support_access:request`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
grantIdpath · string (uuid)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

List support cases for the customer account

GET /v1/accounts/{AC}/support-cases

Required scope: any one of `support_access:grant`, `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Open a support case

POST /v1/accounts/{AC}/support-cases

Required scope: `support_access:grant`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (4 fields)
Request body
NameTypeRequiredDescription
kind"AMBIGUOUS_SEND" | "BILLING" | "IDENTITY" | "META_ASSET" | "PRIVACY" | "INCIDENT" | "GENERAL"yes
priority"P0" | "P1" | "P2" | "P3"yes
resourceRefstring (max 128 chars)
summarystring (max 500 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Get a support case and its related audit trail

GET /v1/accounts/{AC}/support-cases/{CS}

Required scope: any one of `support_access:grant`, `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
CSpath · string (CS… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Close a support case

POST /v1/accounts/{AC}/support-cases/{CS}/close

Required scope: `support_access:grant`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
CSpath · string (CS… SID)yes
Request body (1 fields)
Request body
NameTypeRequiredDescription
bodystring (max 5000 chars)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Reply to a support case

POST /v1/accounts/{AC}/support-cases/{CS}/messages

Required scope: `support_access:grant`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
CSpath · string (CS… SID)yes
Request body (1 fields)
Request body
NameTypeRequiredDescription
bodystring (max 5000 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Reopen a resolved or closed support case

POST /v1/accounts/{AC}/support-cases/{CS}/reopen

Required scope: `support_access:grant`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
CSpath · string (CS… SID)yes
Request body (1 fields)
Request body
NameTypeRequiredDescription
bodystring (max 5000 chars)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.